TextToSpeechGetRate(3dtk)

Name

TextToSpeechGetRate - Returns the current setting of the speaking rate.

Syntax
    MMRESULT TextToSpeechGetRate (LPTTS_HANDLE_T phTTS,
                                 LPDWORD pdwRate)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

LPDWORD pdwRate
    Specifies a pointer to a DWORD that is used to return the speaking rate. Valid values range from 75 to 600 words per minute.

Description

This function returns the current setting of the speaking rate.

The current setting of the speaking rate is returned even if the speaking rate change has not yet occurred. This may occur when the TextToSpeechSetRate() function is used without the TextToSpeechSync() function. The speaking-rate change occurs on clause boundaries.

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

TextToSpeechSetRate(3dtk)